LibreOffice LibreOffice 25.2 SDK API Reference

Public Attributes | List of all members
XTransitionFilter Interface Reference

Base members XAnimate::Values, XAnimate::From, XAnimate::To and XAnimate::By can be used with `double` values that set the transition progress the specific amount of time. More...

`import"XTransitionFilter.idl";`

Inheritance diagram for XTransitionFilter:

## Public Attributes
short | Transition
| This is the type or family of transition. More...
short | Subtype
| This is the subtype of the transition. More...
boolean | Mode
| Indicates whether the transitionFilter's parent element will transition in or out. More...
boolean | Direction
| This specifies the direction the transition will run. More...
long | FadeColor
| If the value of the Type attribute is TransitionType::FADE and the value of the Subtype attribute is TransitionSubType::FADETOCOLOR or TransitionSubType::FADEFROMCOLOR, then this attribute specifies the starting or ending color of the fade. More...
Public Attributes inherited from XAnimate
any | Target
| This attribute specifies the target element to be animated. More...
short | SubItem
| This attribute specifies an optional subitem from the target element that should be animated. More...
string | AttributeName
| Specifies the target attribute. More...
short | ValueType
short | CalcMode
| Specifies the interpolation mode for the animation. More...
boolean | Accumulate
| Controls whether or not the animation is cumulative. More...
short | Additive
| Controls whether or not the animation is additive. More...
any | From
| Specifies the starting value of the animation. More...
any | To
| Specifies the ending value of the animation. More...
any | By
| Specifies a relative offset value for the animation. More...
string | Formula
| if this string is set, its contents will be parsed as a formula. More...
Public Attributes inherited from XAnimationNode
short | Type
| a value from AnimationNodeType. More...
any | Begin
| a sequence of values that define the beginning of this element Begin is More...
any | Duration
| defines the length of the simple duration. More...
any | End
| a sequence of values that define the ending of this element End is More...
any | EndSync
| controls the implicit duration of time containers, as a function of the children. More...
any | RepeatCount
| the number of iterations of the simple duration. More...
any | RepeatDuration
| the total duration for repeat. More...
short | Fill
| the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element. More...
short | FillDefault
| the default value for the fill behavior for this element and all descendants. More...
short | Restart
| defines the restart behavior of this element. More...
short | RestartDefault
| defines the default restart behavior for this element and all descendants. More...
double | Acceleration
| defines the acceleration for this element. More...
double | Decelerate
| defines the deceleration for this element. More...
boolean | AutoReverse
| defines the auto reverse settings for this element. More...

## Additional Inherited Members
Public Types inherited from XAnimate
typedef sequence< any > | Values
| A sequence of one or more values, each of which must be a legal value for the specified attribute. More...
typedef sequence< double > | KeyTimes
typedef sequence< TimeFilterPair > | TimeFilter
| todo: timeFilter="0,0; 0.14,0.36; 0.43,0.73; 0.71,0.91; 1.0,1.0" ? More...
Public Types inherited from XAnimationNode
typedef sequence< ::com::sun::star::beans::NamedValue > | UserData
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Base members XAnimate::Values, XAnimate::From, XAnimate::To and XAnimate::By can be used with `double` values that set the transition progress the specific amount of time.

See also
  http://www.w3.org/TR/smil20/smil-transitions.html#edef-transitionFilter

## Member Data Documentation

## ◆ Direction

boolean Direction
| attribute

This specifies the direction the transition will run.

The legal values are `TRUE` for forward and `FALSE` for reverse. The default value is `TRUE`. Note that this does not impact the media being transitioned to, but only affects the geometry of the transition. Transitions which do not have a reverse interpretation should ignore the direction attribute and assume the default value of `TRUE`.

## ◆ FadeColor

long FadeColor
| attribute

If the value of the Type attribute is TransitionType::FADE and the value of the Subtype attribute is TransitionSubType::FADETOCOLOR or TransitionSubType::FADEFROMCOLOR, then this attribute specifies the starting or ending color of the fade.

The default value is 0 (black).

## ◆ Mode

boolean Mode
| attribute

Indicates whether the transitionFilter's parent element will transition in or out.

Legal values are `TRUE` indicating that the parent media will become more visible as the transition progress increases and `FALSE` indicating that the parent media will become less visible as the transition progress increases.

The default value is `TRUE`.

## ◆ Subtype

short Subtype
| attribute

This is the subtype of the transition.

This must be one of the transition subtypes appropriate for the specified Type as listed in TransitionSubType. TransitionSubType::DEFAULT is the default.

## ◆ Transition

short Transition
| attribute

This is the type or family of transition.

This attribute is required and must be one of the transition families listed in TransitionType.

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XTransitionFilter.idl